<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ObjectConfigurationAction (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ObjectConfigurationAction (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/MavenRepositoryHandlerConvention.html" title="interface in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/ObjectConfigurationAction.html" target="_top">Frames</a></li>
<li><a href="ObjectConfigurationAction.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins</div>
<h2 title="Interface ObjectConfigurationAction" class="title">Interface ObjectConfigurationAction</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">ObjectConfigurationAction</span></pre>
<div class="block"><p>An <code>ObjectConfigurationAction</code> allows you to apply <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a>s and scripts to an object
 or objects.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html#from(java.lang.Object)">from</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;script)</code>
<div class="block">Adds a script to use to configure the target objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html#plugin(java.lang.Class)">plugin</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&gt;&nbsp;pluginClass)</code>
<div class="block">Adds a <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> to use to configure the target objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html#plugin(java.lang.String)">plugin</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginId)</code>
<div class="block">Adds a <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> to use to configure the target objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html#to(java.lang.Object...)">to</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;targets)</code>
<div class="block">Specifies some target objects to be configured.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html#type(java.lang.Class)">type</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;pluginClass)</code>
<div class="block">Adds the plugin implemented by the given class to the target.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="to(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>to</h4>
<pre><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a>&nbsp;to(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;targets)</pre>
<div class="block"><p>Specifies some target objects to be configured. Any collections or arrays in the given parameters will be
 flattened, and the script applied to each object in the result, in the order given. Each call to this method adds
 some additional target objects.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>targets</code> - The target objects.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="from(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>from</h4>
<pre><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a>&nbsp;from(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;script)</pre>
<div class="block">Adds a script to use to configure the target objects. You can call this method multiple times, to use multiple
 scripts. Scripts and plugins are applied in the order that they are added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>script</code> - The script. Evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>. However, note that
 a URL can also be used, allowing the script to be fetched using HTTP, for example.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="plugin(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plugin</h4>
<pre><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a>&nbsp;plugin(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&gt;&nbsp;pluginClass)</pre>
<div class="block">Adds a <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> to use to configure the target objects. You can call this method multiple
 times, to use multiple plugins. Scripts and plugins are applied in the order that they are added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pluginClass</code> - The plugin to apply.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="type(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a>&nbsp;type(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;pluginClass)</pre>
<div class="block">Adds the plugin implemented by the given class to the target.
 <p>
 The class is expected to either implement <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a>, or extend <a href="../../../../org/gradle/model/RuleSource.html" title="class in org.gradle.model"><code>RuleSource</code></a>.
 An exception will be thrown if the class is not a valid plugin implementation.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pluginClass</code> - the plugin to apply</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="plugin(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>plugin</h4>
<pre><a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins">ObjectConfigurationAction</a>&nbsp;plugin(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginId)</pre>
<div class="block">Adds a <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> to use to configure the target objects. You can call this method multiple
 times, to use multiple plugins. Scripts and plugins are applied in the order that they are added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pluginId</code> - The id of the plugin to apply.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/MavenRepositoryHandlerConvention.html" title="interface in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/ObjectConfigurationAction.html" target="_top">Frames</a></li>
<li><a href="ObjectConfigurationAction.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
